Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.transformation
Class EffectWidgetReplacingPipe.SkipHandler

    java.lang.Object
      org.apache.cocoon.forms.transformation.EffectPipe.NullHandler
          org.apache.cocoon.forms.transformation.EffectPipe.CopyHandler
              org.apache.cocoon.forms.transformation.EffectWidgetReplacingPipe.NestedHandler
                  org.apache.cocoon.forms.transformation.EffectWidgetReplacingPipe.SkipHandler

All Implemented Interfaces:
  EffectPipe.Handler

Enclosing class:
  EffectWidgetReplacingPipe

protected class EffectWidgetReplacingPipe.SkipHandler
extends EffectWidgetReplacingPipe.NestedHandler

`ft:choose`, `ft:union` use this.

Constructor Summary
`protected` | `EffectWidgetReplacingPipe.SkipHandler()`

Method Summary
`void` | `endElement(String uri, String loc, String raw)`
`EffectPipe.Handler` | `startElement(String uri, String loc, String raw, Attributes attrs)`

Methods inherited from class org.apache.cocoon.forms.transformation.EffectWidgetReplacingPipe.NestedHandler
`nestedElement`

Methods inherited from class org.apache.cocoon.forms.transformation.EffectPipe.CopyHandler
`characters, comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EffectWidgetReplacingPipe.SkipHandler

    protected EffectWidgetReplacingPipe.SkipHandler()

Method Detail

### startElement

    public EffectPipe.Handler startElement(String uri,
                                           String loc,
                                           String raw,
                                           Attributes attrs)
                                    throws SAXException

  Specified by:
    `startElement` in interface `EffectPipe.Handler`
  Overrides:
    `startElement` in class `EffectPipe.CopyHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String loc,
                           String raw)
                    throws SAXException

  Specified by:
    `endElement` in interface `EffectPipe.Handler`
  Overrides:
    `endElement` in class `EffectPipe.CopyHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.